{
  "name": "{{ agave.appsPrefix }}-legionella-srst2-gf2",
  "version": "0.2.01",
  "label": "Retrieves Legionella pneumophila in silico ST profile",
  "defaultNodeCount": 1,
  "defaultMemoryPerNode": 1,
  "defaultProcessorsPerNode": 1,
  "executionType": "HPC",
  "parallelism": "SERIAL",
  "checkpointable": false,
  "executionSystem": "{{ agave.executionSystem }}",
  "deploymentPath": "{{ agave.appsDir }}/legionella-srst2-gf2-0.2-01",
  "deploymentSystem": "{{ agave.deploymentSystem }}",
  "templatePath": "legionella-srst2-gf2.sh",
  "testPath": "test/test.sh",
  "inputs": [
    { "id": "input",
      "value": {
        "required": true,
        "default": ""
      }
    },
    { "id": "pair",
      "value": {
        "required": true,
        "default": ""
      }
    },
    { "id": "mlst_db",
      "value": {
        "required": false,
        "default": ""
      }
    },
    { "id": "mlst_definitions",
      "value": {
        "required": false,
        "default": ""
      }
    }
  ],
  "parameters": [
    { "id": "forward",
      "value": {
        "required": false,
        "default": "_R1",
        "type": "string"
      }
    },
    { "id": "reverse",
      "value": {
        "required": false,
        "default": "_R2",
        "type": "string"
      }
    },
    { "id": "mlst_max_mismatch",
      "value": {
        "required": false,
        "default": 0,
        "type": "number"
      }
    },
    { "id": "output",
      "value": {
        "required": true,
        "type": "string"
      }
    },
    { "id": "output_basename",
      "value": {
        "required": false,
        "default": "PRS_pipeline_SBT",
        "type": "string"
      }
    },
    { "id": "exec_method",
      "value": {
        "required": false,
        "default": "auto",
        "type": "string"
      }
    },
    { "id": "exec_init",
      "value": {
        "required": false,
        "default": ":",
        "type": "string"
      }
    }
  ]
}